Prev |  | Next

### H.8. Things the compiler might need to find

#### pkg-config tooling

    --with-pkg-config

This option allows to provide a custom program name (in `PATH`) or a complete pathname to `pkg-config` which describes `CFLAGS`, `LIBS` and possibly other build-time options in `*.pc` files, to use third-party libraries. On build systems which support multiple architectures you may also want to set `PKG_CONFIG_PATH` to match your current build.

#### LibGD

    --with-gd-includes="-I/foo/bar"

If you installed `libgd` in some place where your C preprocessor can’t find the header files, use this switch to add additional `-I` flags.

    --with-gd-libs="-L/foo/bar -labcd -lxyz"

If your copy of `libgd` isn’t linking properly, use this to give the proper `-L` and `-l` flags to make it work. See `LIBS=` in gd’s `Makefile`.

### Note

the `--with-gd` switches are not necessary if you have gd 2.0.8 or higher installed properly. The `gdlib-config` script or pkg-config manifest will be detected and used by default in that situation.

    --with-gdlib-config

This option allows to provide a custom program name (in `PATH`) or a complete pathname to `gdlib-config`. This may be needed on build systems which support multiple architectures, or in cases where your distribution names this program differently.

#### LibUSB

    --with-libusb-config

This option allows to provide a custom program name (in `PATH`) or a complete pathname to `libusb-config` (usually delivered only for libusb-0.1 version, but not for libusb-1.0). This may be needed on build systems which support multiple architectures or provide several versions of libusb, or in cases where your distribution names this program differently.

#### Various

    --with-ssl-includes, --with-usb-includes, --with-snmp-includes,
    --with-neon-includes, --with-libltdl-includes,
    --with-powerman-includes="-I/foo/bar"

If your system doesn’t have `pkg-config` and support for any of the above libraries isn’t found (but you know it is installed), you must specify the compiler flags that are needed.

    --with-ssl-libs, --with-usb-libs, --with-snmp-libs,
    --with-neon-libs, --with-libltdl-libs
    --with-powerman-libs="-L/foo/bar -R/foo/bar -labcd -lxyz"

If system doesn’t have `pkg-config` or it fails to provides hints for some of the settings that are needed to set it up properly and the build in defaults are not right, you can specify the correct values for your system here.

Prev | Up | Next
| Home |